package domain


type AlibabaWdkSkuCombineskuAddApiResult struct {
    /*
        单个商品是否新建成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        单个商品新建异常编码（异常才有值）     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        单个商品新建异常信息（异常才有值）     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        商品code值     */
    Model  *string `json:"model,omitempty" `

}

func (s *AlibabaWdkSkuCombineskuAddApiResult) SetSuccess(v bool) *AlibabaWdkSkuCombineskuAddApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuAddApiResult) SetErrCode(v string) *AlibabaWdkSkuCombineskuAddApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuAddApiResult) SetErrMsg(v string) *AlibabaWdkSkuCombineskuAddApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuAddApiResult) SetModel(v string) *AlibabaWdkSkuCombineskuAddApiResult {
    s.Model = &v
    return s
}
